%define name	aptitude
%define release	%mkrel 3
%define version	0.4.4

Summary:	Curses-based apt frontend
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://packages.qa.debian.org/a/aptitude.html
Group:		System/Configuration/Packaging

Source: http://http.us.debian.org/debian/pool/main/a/%{name}/%{name}-%{version}.tar.bz2
# apt-rpm patch from ALT linux source rpm
# removal of generated files and a change not needed for mandriva linux were taken out
Patch0: aptitude-0.4.4-alt1.patch
Patch1: aptitude-0.4.4-xsl-stylesheets.patch
Patch2: aptitude-0.4.4-sigc++-2.2.2.patch

BuildRequires:	libncursesw-devel libapt-pkg-devel libsigc++2.0-devel gettext-devel
BuildRequires:	docbook-dtd42-xml docbook-style-xsl html2text
BuildRequires:  libxslt-proc libcppunit-devel po4a
Buildroot:	%{_tmppath}/%{name}-root

%description
Aptitude is a curses-based apt frontend with a number of useful extended 
features, including: a mutt-like syntax for matching packages in a flexible 
manner, persistence of user actions, and extreme flexibility and customization.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .apt-rpm-altlinux
%patch1 -p1 -b .sgml
%patch2 -p1

%build
# remove some generated files as in original altlinux patch but keep mkinstalldirs
rm -f INSTALL Makefile.in aclocal.m4 config.guess config.h.in config.sub \
  configure depcomp install-sh missing po/stamp-po \
  src/Makefile.in src/cmdline/Makefile.in src/generic/Makefile.in \
  src/generic/apt/Makefile.in src/generic/problemresolver/Makefile.in \
  src/generic/util/Makefile.in src/mine/Makefile.in src/vscreen/Makefile.in \
  src/vscreen/config/Makefile.in tests/Makefile.in
libtoolize --copy --force
aclocal -I m4
autoheader
automake -a -c
autoconf
CPPFLAGS=-DRPM_VERSION=0x040406
export CPPFLAGS
%configure2_5x --disable-werror
%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall STATEDIR=$RPM_BUILD_ROOT%{_localstatedir}/aptitude
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%dir %{_datadir}/aptitude
%{_datadir}/aptitude/*
%{_bindir}/aptitude
%{_docdir}/aptitude
%{_mandir}/man8/aptitude.8.*
%{_mandir}/*/man8/aptitude.8.*
%dir %{_localstatedir}/aptitude


%changelog
* Tue Mar 11 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.4.4-3mdv2008.1
+ Revision: 186841
- build fix for sigc++-2.2.2
- rebuild for new rpm

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - rebuild for rpm-4.4.2.2
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 22 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 16774
- 0.4.4
- updated apt-rpm patch from ALT linux
- Import aptitude




* Fri Jun 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-4
- rebuild for libapt-pkg
- patch6: more build fixes

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.3-3mdk
- Fix BuildRequires
- %%mkrel 

* Sun Sep 04 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-2mdk
- fix x86-64 build: do not use m4 macros supplied with sources

* Sat Aug 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-1mdk
- 0.3.3
- update altlinux patch to 0.3.1 and rediff for 0.3.3
- rediff patch1
- drop patches 2,3,4 - merged into patch5: build fixes

* Fri Jul 30 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.13-2mdk
- fix build with new autotools
- rebuild with gcc 3.4

* Tue Jan 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.13-1mdk
- initial package
